//To load GDT
#include "GDT/gdt.hpp"

//To print text
#include "Drivers/memPrint/memPrint.hpp"


//----- PiegOS kernel main -----
int  main(){

    //Infinite loop
	while(1);

    //Exit code
	return 0;
}



//----- PiegOS kernel boot -----
//Mangling the _boot function
extern "C" void _boot(){

    //Create Gdt instance
    Gdt gdt;

    //Load Gdt into memory
    gdt.loadGdt();

    //Call main function
    main();
}

